<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: infusion.php
| Author : Smokeman
| Email: admin@phpfusion-tips.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."ban_list_panel/infusion_db.php";

if (file_exists(INFUSIONS."ban_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ban_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ban_list_panel/locale/Danish.php";
}

$inf_title = $locale['blp100'];
$inf_description = $locale['blp101'];
$inf_version = "1.2";
$inf_developer = "Smokeman";
$inf_email = "admin@phpfusion-tips.dk";
$inf_weburl = "http://www.phpfusion-tips.dk/";

$inf_folder = "ban_list_panel";

$inf_newtable[1] = DB_BLP." (
ban_id SMALLINT(3) NOT NULL,
ban_order SMALLINT(2) NOT NULL,
ban_nick VARCHAR(50) NOT NULL DEFAULT '',
ban_steamid VARCHAR(50) NOT NULL,
ban_from VARCHAR(100) NOT NULL,
ban_reason VARCHAR(50) NOT NULL,
ban_dato VARCHAR(50) NOT NULL,
PRIMARY KEY (ban_id)
) TYPE=MyISAM;";
	
$inf_droptable[1] = DB_BLP;

$inf_adminpanel[1] = array(
	"title" => $locale['blp100'],
	"image" => "ban_list_panel.gif",
	"panel" => "ban_list_panel_admin.php",
	"rights" => "BLP"
);

$inf_sitelink[1] = array(
	"title" => $locale['blp102'],
	"url" => "ban_list.php",
	"visibility" => "0"
);

?>