<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2009 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: ban_list_panel_admin.php
| Author : Smokeman
| Email: admin@phpfusion-tips.dk
| Web: http://www.phpfusion-tips.dk/
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."ban_list_panel/infusion_db.php";
if (!checkrights("BLP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."ban_list_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."ban_list_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."ban_list_panel/locale/Danish.php";
}

add_to_title(" - Ban List Panel");

if (iADMIN){

	if (isset($_GET['action']) && $_GET['action'] == "refresh") {
	$i = 1;
	$result = dbquery("SELECT * FROM ".DB_BLP." ORDER BY ban_order");
	while ($data = dbarray($result)){
		$result2 = dbquery("UPDATE ".DB_BLP." SET ban_order='$i' WHERE ban_id='".$data['ban_id']."'");
		$i++;
	}
	redirect(FUSION_SELF.$aidlink);
	} elseif (isset($_POST['cancel'])) {
		redirect(FUSION_SELF.$aidlink);
	} elseif ((isset($_GET['action']) && $_GET['action'] == "moveup") && (isset($_GET['ban_id']) && isnum($_GET['ban_id']))) {
	   $data = dbarray(dbquery("SELECT * FROM ".DB_BLP." WHERE ban_order='".$_GET['order']."'"));
	   $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order+1 WHERE ban_id='".$data['ban_id']."'");
	   $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order-1 WHERE ban_id='".$_GET['ban_id']."'");
	 redirect(FUSION_SELF.$aidlink);
	} elseif ((isset($_GET['action']) && $_GET['action'] == "movedown") && (isset($_GET['ban_id']) && isnum($_GET['ban_id']))) {
	   $data = dbarray(dbquery("SELECT * FROM ".DB_BLP." WHERE ban_order='".$_GET['order']."'"));
	   $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order-1 WHERE ban_id='".$data['ban_id']."'");
	   $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order+1 WHERE ban_id='".$_GET['ban_id']."'");
	 redirect(FUSION_SELF.$aidlink);
} elseif ((isset($_GET['action']) && $_GET['action'] == "delete") && (isset($_GET['ban_id']) && isnum($_GET['ban_id']))) {
     $data = dbarray(dbquery("SELECT * FROM ".DB_BLP." WHERE ban_id='".$_GET['ban_id']."'"));
     $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order-1 WHERE ban_order>'".$data['order']."'");

     $result = dbquery("DELETE FROM ".DB_BLP." WHERE ban_id='".$_GET['ban_id']."'");
   redirect(FUSION_SELF.$aidlink);
} elseif (isset($_POST['ban_submit'])){
	   if ($_POST['ban_nick'] != ""  && $_POST['ban_steamid'] != ""  && $_POST['ban_from'] != ""  && $_POST['ban_reason'] != ""  && $_POST['ban_dato'] != ""){
        $ban_order = trim(stripinput($_POST['ban_order']));
        $ban_nick = trim(stripinput($_POST['ban_nick']));
    		$ban_steamid = trim(stripinput($_POST['ban_steamid']));
    		$ban_from = trim(stripinput($_POST['ban_from']));
    		$ban_reason = trim(stripinput($_POST['ban_reason']));
    		$ban_dato = trim(stripinput($_POST['ban_dato']));
        $result = dbquery("SELECT * FROM ".DB_BLP." WHERE ban_id='".$data['ban_id']."'");

            if ($ban_id==""){
               $result = dbquery("SELECT MAX(ban_id) AS last_id FROM ".DB_BLP."");
               if (dbrows($result)) {$data = dbarray($result);$ban_id = $data['last_id']+1;}
            }
         if ($ban_nick != ""  && $ban_steamid != ""  && $ban_from != ""  && $ban_reason != ""  && $ban_dato != ""){
          if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['ban_id']) && isnum($_GET['ban_id']))) {
    	    $result = dbquery("UPDATE ".DB_BLP." SET ban_nick='$ban_nick', ban_steamid='$ban_steamid', ban_from='$ban_from', ban_reason='$ban_reason', ban_dato='$ban_dato' WHERE ban_id='".$_GET['ban_id']."'");
		   } else {
     	    if(!$ban_order) $ban_order=dbresult(dbquery("SELECT MAX(ban_order) FROM ".DB_BLP.""),0)+1;
		      $result = dbquery("UPDATE ".DB_BLP." SET ban_order=ban_order+1 WHERE ban_order>='".$_GET['order']."'");
          $result = dbquery("INSERT INTO ".DB_BLP." VALUES('$ban_id', '$ban_order', '$ban_nick', '$ban_steamid', '$ban_from', '$ban_reason', '$ban_dato')");
            }
         }
       redirect(FUSION_SELF.$aidlink);
	   } else {
                opentable($locale['blp200']);
                echo "<div align='center'><b>".$locale['blp400']."</b><br />\n<span class='small'>";
                echo $locale['blp401']."</span></div>\n";
                closetable();
        }
		} else {
        if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['ban_id']) && isnum($_GET['ban_id']))) {
	       $result = dbquery("SELECT * FROM ".DB_BLP." WHERE ban_id='".$_GET['ban_id']."'");
	       if (dbrows($result)){
		      $data = dbarray($result);
		      $ban_order = $data['ban_order'];
		      $ban_nick = $data['ban_nick'];
		      $ban_steamid = $data['ban_steamid'];
		      $ban_from = $data['ban_from'];
		      $ban_reason = $data['ban_reason'];
		      $ban_dato = $data['ban_dato'];
		      $formaction = FUSION_SELF.$aidlink."&amp;action=edit&amp;ban_id=".$data['ban_id'];
		      opentable($locale['blp299']);
	      } else {
		      $formaction = FUSION_SELF.$aidlink;
        }
        } else {
		       $ban_order = "";
		       $ban_nick = "";
		       $ban_steamid = "";
		       $ban_from = "";
		       $ban_reason = "";
		       $ban_dato = "";
           $formaction = FUSION_SELF.$aidlink;
           opentable($locale['blp200']);
            }
    echo "<form name='inputform' method='post' action='$formaction' enctype='multipart/form-data'>
        <table align='center' cellpadding='0' cellspacing='0'>
    <tr>
        <td align='right' class='tbl'><font color='#090909'>".$locale['blp202']."</font><span style='color:#ff0000'>*</span></td>
        <td class='tbl'><input type='text' name='ban_nick' value='$ban_nick' class='textbox' style='width:150px'></td>
    </tr>
    <tr>
        <td align='right' class='tbl'><font color='#090909'>".$locale['blp203']."</font><span style='color:#ff0000'>*</span></td>
        <td class='tbl'><input type='text' name='ban_steamid' value='$ban_steamid' class='textbox' style='width:150px'></td>
    </tr>
    <tr>
        <td align='right' class='tbl'><font color='#090909'>".$locale['blp210']."</font><span style='color:#ff0000'>*</span></td>
        <td class='tbl'><input type='text' name='ban_from' value='$ban_from' class='textbox' style='width:150px'></td>
    </tr>
    <tr>
        <td align='right' class='tbl'><font color='#090909'>".$locale['blp211']."</font><span style='color:#ff0000'>*</span></td>
        <td class='tbl'><input type='text' name='ban_reason' value='$ban_reason' class='textbox' style='width:150px'></td>
    </tr>
    <tr>
        <td align='right' class='tbl'><font color='#090909'>".$locale['blp212']."</font><span style='color:#ff0000'>*</span></td>
        <td class='tbl'><input type='text' name='ban_dato' value='$ban_dato' class='textbox' style='width:150px'></td>
    </tr>
	  <tr>
        <td align='right' class='tbl'>".$locale['blp201']."</td>
        <td class='tbl'><input type='text' name='ban_order' value='$ban_order' class='textbox' style='width:25px'></td>
    </tr>
      </table>";
}
echo "<table align='center' cellpadding='0' cellspacing='0'><tr>
        <td class='tbl'>&nbsp;</td>
        <td colspan='2' align='center' class='tbl'><br /><input type='submit' name='ban_submit' value='".$locale['blp208']."' class='button'>&nbsp;";
        		if (isset($_GET['action']) && $_GET['action'] == "edit") {
			echo "<input type='submit' name='cancel' value='".$locale['blp209']."' class='button' />\n";
		}
       echo "</td>
      </tr>
    </table>
    </form>\n";
	closetable();
}

opentable($locale['blp300']);
$result = dbquery("SELECT * FROM ".DB_BLP);
$rows = dbrows($result);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
if ($rows != 0){
	if (iADMIN) {echo "<center>[<a href='".FUSION_SELF.$aidlink."&amp;new_ban=1'>".$locale['blp200']."</a>] |
                [<a href='".FUSION_SELF.$aidlink."&amp;action=refresh'>".$locale['blp305']."</a>]</center><br />";}
	$i = 1; 
	$result = dbquery("SELECT * FROM ".DB_BLP." ORDER BY ban_order LIMIT ".$_GET['rowstart'].",10");
	$numrows = dbrows($result);
	
                 echo "<table cellpadding='2' cellspacing='0' width='100%'>\n
                    <tr>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#090909'><b><u>".$locale['blp202']."</u></b></font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#090909'><b><u>".$locale['blp203']."</u></b></font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#090909'><b><u>".$locale['blp210']."</u></b></font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#090909'><b><u>".$locale['blp211']."</u></b></font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#090909'><b><u>".$locale['blp212']."</u></b></font></td>\n
		            </tr>\n
                </table>\n";
	
	while ($data = dbarray($result)){
		echo "<table align='center' cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n
              <tr>\n
                  <td class='tbl2'>\n
                    <table cellpadding='2' cellspacing='0' width='100%'>\n
                    <tr>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#FE0315'>".$data['ban_nick']."</font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#FE0315'>".$data['ban_steamid']."</font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#FE0315'>".$data['ban_from']."</font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#FE0315'>".$data['ban_reason']."</font></td>\n
                        <td class='small tbl-border' width='20%' valign='top'><font color='#FE0315'>".$data['ban_dato']."</font></td>\n
		            </tr>\n
                </table>\n
              </td>\n
              </tr>\n
                </table>\n";
   if (iADMIN) {
        echo "<table cellpadding='0' cellspacing='0' width='100%'>
                    <tr>
                       <td align='right' class='small'>".$locale['blp201']."&nbsp;".$data['ban_order']."&nbsp;";
                        if ($rows != 1) {
 				          $up = $data['ban_order'] - 1;
				          $down = $data['ban_order'] + 1;
				          if ($data['ban_order'] == 1) {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;ban_id=".$data['ban_id']."'><img src='".THEME."images/down.gif' alt='".$locale['blp303']."' title='".$locale['blp303']."' style='border:0px;'></a>&nbsp;";
				          } elseif ($data['ban_order'] < $rows) {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;ban_id=".$data['ban_id']."'><img src='".THEME."images/up.gif' alt='".$locale['blp304']."' title='".$locale['blp304']."' style='border:0px;'></a>&nbsp;";
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=movedown&amp;order=$down&amp;ban_id=".$data['ban_id']."'><img src='".THEME."images/down.gif' alt='".$locale['blp303']."' title='".$locale['blp303']."' style='border:0px;'></a>&nbsp;";
				          } else {
					      echo "<a href='".FUSION_SELF.$aidlink."&amp;action=moveup&amp;order=$up&amp;ban_id=".$data['ban_id']."'><img src='".THEME."images/up.gif' alt='".$locale['blp304']."' title='".$locale['blp304']."' style='border:0px;'></a>&nbsp;";
				          }
                  }
                  echo"  [<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;ban_id=".$data['ban_id']."'>".$locale['blp301']."</a>] |
                         [<a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;ban_id=".$data['ban_id']."' onClick='return DeleteMessage();'>".$locale['blp302']."</a>]
                       </td>
                    </tr>
                    </table>";
           }
           
      if ($i != $numrows) echo "<br />\n";
		  $i++;
	}
	echo "<div style='width:100%' align='left'><a href='http://www.phpfusion-tips.dk/' target='_blank' title='Ban List Panel v1.0'>&copy;</a></div>\n";
} else {
	       echo "<center><br />\n".$locale['blp308']."<br /><br />\n";
         if (iADMIN) {
         echo "[ <a href='".FUSION_SELF.$aidlink."&amp;new_ban=1'>".$locale['blp200']."</a> ] <br /><br />\n";
            }
          echo "</center>\n";
       }
closetable();

if ($rows != 0) echo "<div align='center' style='margin-top:5px;'>\n".makePageNav($_GET['rowstart'],10,$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";

echo "<script>
function DeleteMessage()
{
	return confirm(\"".$locale['blp309']."\");
}
</script>\n";

require_once THEMES."templates/footer.php";
?>